// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package document

import (
	"html/template"
	"math/rand"
	"regexp"
)

func getFuncMap(env GetComponentsTemplatesInterface) template.FuncMap {

	return template.FuncMap{
		//"embedThunderClientAPI": func(path string, id string) template.HTML {
		//	content := embedThunderClientAPI(env, path, id)
		//	return template.HTML(content)
		//},
		"cleanPlaceholder": func(content string) string {
			regEx := regexp.MustCompile(`(?P<match>\{\{.*\}\})`)
			return regEx.ReplaceAllString(content, "")
		},
		"mkToHtml": func(content string) template.HTML {
			return template.HTML(createHtmlFromMarkdown(content))
		},
		"toHTML": func(content string) template.HTML {
			return template.HTML(content)
		},
		"randomID": func() string {
			var chars = []rune(defaultSet)
			s := make([]rune, 5)
			for i := range s {
				s[i] = chars[rand.Intn(len(chars))]
			}
			return string(s)

		},
	}
}
