code samples

Source text can be represented either by indentation or by single quotes.

If the marking is done with single quotes, the language to be used should be labeled after the
Quotation marks are displayed.

\`\`\`php
\`\`\`javascript

When using indentation, the language can be marked with three colons `:::php`

If no language is selected, the script tries to guess the language.
If no syntax highlighting is to take place, this must be specified explicitly with `nohighlight`.


\`\`\`nohighlight


Documentation of code examples should always be on executable
code based. For this reason, a program should always be developed independently
will. The integration takes place via this marking: ![](imagecomment1.png)

__Example__

In the example, the sample file `test.php` is created with the following code.

```php
<?php
a=0;
a+=1;
echo a;
```

If you want to add the first and second line to the documentation and then
the third line, you have to enter the following markings in the file.

```php
<?php
 
 EXAMPLE:START

 SNIPPET:PART1:START

a=0;
a+=1;

 SNIPPET:PART1:END

 SNIPPET:PART2:START

echo a;

 SNIPPET:PART2:END
 
 EXAMPLE:END
```

The integration into the documentation then takes place as follows:


![](imagecomment2.png)

    ```php
    example 1
    ```


and for the second part


![](imagecomment3.png)

    ```php
    example2
    ```

The __result__ is then:

    a=0;
    a+=1;

and

    echo a;

tabs

Tabs can be used to integrate examples for different languages into a code block.


``` bash tab="Bash"
!binbash

echo "Hello world!"
```

```c tab="C"
include <stdio.h>

int main(void) {
  printf("Hello world!\n");
}
```

``` c++ tab="C++"
include <iostream>

int main() {
  std::cout << "Hello world!" << std::endl;
  return 0;
}
```

```c tab="C"
using System;

class Program {
  static void Main(string[] args) {
    Console. WriteLine("Hello world!");
  }
}
```

``` bash tab="Bash"
!binbash

echo "Hello world!"
```

```c tab="C"
include <stdio.h>

int main(void) {
  printf("Hello world!\n");
}
```

``` c++ tab="C++"
include <iostream>

int main() {
  std::cout << "Hello world!" << std::endl;
  return 0;
}
```

```c tab="C"
using System;

class Program {
  static void Main(string[] args) {
    Console. WriteLine("Hello world!");
  }
}

```